package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.Constant;
import org.apache.bcel.classfile.ConstantObject;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.Visitor;

public final class ConstantDouble extends Constant implements ConstantObject {
  private double bytes;
  
  public ConstantDouble(org.apache.bcel.classfile.ConstantDouble c) {
    this(c.getBytes());
  }
  
  ConstantDouble(DataInput file) throws IOException {
    this(file.readDouble());
  }
  
  public ConstantDouble(double bytes) {
    super((byte)6);
    this.bytes = bytes;
  }
  
  public void accept(Visitor v) {
    v.visitConstantDouble(this);
  }
  
  public void dump(DataOutputStream file) throws IOException {
    file.writeByte(getTag());
    file.writeDouble(this.bytes);
  }
  
  public double getBytes() {
    return this.bytes;
  }
  
  public Object getConstantValue(ConstantPool cp) {
    return Double.valueOf(this.bytes);
  }
  
  public void setBytes(double bytes) {
    this.bytes = bytes;
  }
  
  public String toString() {
    return super.toString() + "(bytes = " + this.bytes + ")";
  }
}
